| Version: 3.3.1

Functions
Locale-dependent functions
Functions and Macros by Category

## Detailed Description

Below are a number of functions/macros which accept as last parameter a specific wxXLocale instance.

For the documentation of function `wxFunc_l()`, please see the documentation of the standard `Func()` function (see e.g. http://www.cppreference.com/wiki/c/string/start) and keep in mind that the wxWidgets function takes as last parameter the locale which should be internally used for locale-dependent operations.

Last, note that when the `wxHAS_XLOCALE_SUPPORT` symbol is not defined, then wxWidgets will provide implementations of these functions itself and that they are not granted to be thread-safe (and they will work only with the C locale; see Availability).

## Functions
int | wxIsalnum_l (wchar_t c, const wxXLocale &loc)
int | wxIsalpha_l (wchar_t c, const wxXLocale &loc)
int | wxIscntrl_l (wchar_t c, const wxXLocale &loc)
int | wxIsdigit_l (wchar_t c, const wxXLocale &loc)
int | wxIsgraph_l (wchar_t c, const wxXLocale &loc)
int | wxIslower_l (wchar_t c, const wxXLocale &loc)
int | wxIsprint_l (wchar_t c, const wxXLocale &loc)
int | wxIspunct_l (wchar_t c, const wxXLocale &loc)
int | wxIsspace_l (wchar_t c, const wxXLocale &loc)
int | wxIsupper_l (wchar_t c, const wxXLocale &loc)
int | wxIsxdigit_l (wchar_t c, const wxXLocale &loc)
wchar_t | wxTolower_l (wchar_t c, const wxXLocale &loc)
wchar_t | wxToupper_l (wchar_t c, const wxXLocale &loc)
double | wxStrtod_l (const wchar_t *c, wchar_t **endptr, const wxXLocale &loc)
long | wxStrtol_l (const wchar_t *c, wchar_t **endptr, int base, const wxXLocale &loc)
unsigned long | wxStrtoul_l (const wchar_t *c, wchar_t **endptr, int base, const wxXLocale &loc)

## Function Documentation

## ◆ wxIsalnum_l()

int wxIsalnum_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsalpha_l()

int wxIsalpha_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIscntrl_l()

int wxIscntrl_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsdigit_l()

int wxIsdigit_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsgraph_l()

int wxIsgraph_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIslower_l()

int wxIslower_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsprint_l()

int wxIsprint_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIspunct_l()

int wxIspunct_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsspace_l()

int wxIsspace_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsupper_l()

int wxIsupper_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxIsxdigit_l()

int wxIsxdigit_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxStrtod_l()

double wxStrtod_l | ( | const wchar_t * | c,
|  | wchar_t ** | endptr,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxStrtol_l()

long wxStrtol_l | ( | const wchar_t * | c,
|  | wchar_t ** | endptr,
|  | int | base,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxStrtoul_l()

unsigned long wxStrtoul_l | ( | const wchar_t * | c,
|  | wchar_t ** | endptr,
|  | int | base,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxTolower_l()

wchar_t wxTolower_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |

## ◆ wxToupper_l()

wchar_t wxToupper_l | ( | wchar_t | c,
|  | const wxXLocale & | loc
| ) |  |